summaryrefslogtreecommitdiffstats
path: root/target/linux/omap24xx/base-files/etc/init.d
diff options
context:
space:
mode:
authormb <mb@3c298f89-4303-0410-b956-a3cf2f4a3e73>2010-08-08 18:36:38 +0000
committermb <mb@3c298f89-4303-0410-b956-a3cf2f4a3e73>2010-08-08 18:36:38 +0000
commit20b373a23bfbdde2ff0ac57653ddf3e8da0f3b3b (patch)
tree1682db393e1b5529e485b4bfcfa5303b90262822 /target/linux/omap24xx/base-files/etc/init.d
parent02e66a9ff80c6aa5b751bc0a380a2eb7eed6cb8e (diff)
omap24xx: Add working inittab and watchdog init script
git-svn-id: svn://svn.openwrt.org/openwrt/trunk@22534 3c298f89-4303-0410-b956-a3cf2f4a3e73
Diffstat (limited to 'target/linux/omap24xx/base-files/etc/init.d')
-rwxr-xr-xtarget/linux/omap24xx/base-files/etc/init.d/watchdog15
1 files changed, 15 insertions, 0 deletions
diff --git a/target/linux/omap24xx/base-files/etc/init.d/watchdog b/target/linux/omap24xx/base-files/etc/init.d/watchdog
new file mode 100755
index 000000000..fa5dc4365
--- /dev/null
+++ b/target/linux/omap24xx/base-files/etc/init.d/watchdog
@@ -0,0 +1,15 @@
+#!/bin/sh /etc/rc.common
+# Copyright (C) 2008-2010 OpenWrt.org
+
+START=97
+start() {
+ if ! [ -c /dev/watchdog -a -x /sbin/watchdog ]; then
+ echo "WARNING: Watchdog not available. System will reboot soon!"
+ else
+ /sbin/watchdog -T 63 -t 53 /dev/watchdog
+ fi
+}
+
+stop() {
+ killall -q watchdog
+}